Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

provider
string
required

Provider name (e.g., "openai", "gemini")

after
string

Cursor for pagination - ID of the last item from the previous page

limit
integer
default:20

Maximum number of results to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort order by creation time

Available options:
asc,
desc

Response

Successful response. Returns a paginated list of video generation jobs.

object
enum<string>

Object type, always "list"

Available options:
list
data
object[]

Array of video generation jobs

first_id
string

ID of the first item in the list

last_id
string

ID of the last item in the list

has_more
boolean

Whether there are more results available

extra_fields
object

Additional fields included in responses